#
# spec file for package python-django-gravatar2
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-django-gravatar2
Version:        1.4.4
Release:        bp156.4.1
Summary:        Gravatar Support for Django
License:        MIT
URL:            https://github.com/twaddington/django-gravatar
Source:         https://files.pythonhosted.org/packages/source/d/django-gravatar2/django-gravatar2-%{version}.tar.gz
# skip test which wants to read from https://secure.gravatar.com/avatar/
Patch1:         python-django-gravatar2-skip-online-test.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django}
# needs sqlite3 module
BuildRequires:  %{pythons}
# /SECTION
%python_subpackages

%description
Essential Gravatar support for Django. Features helper methods, templatetags and a full test suite!

%prep
%setup -q -n django-gravatar2-%{version}
%patch1 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
pushd example_project
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python manage.py test --verbosity=2 django_gravatar
popd

%files %{python_files}
%doc README README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun Jun 25 2023 Andreas Schneider <asn@cryptomilk.org>
- Use sle15_python_module_pythons
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.4.4:
  * minor fixes
- Remove merged patch python-django-gravatar2-fix-testsuite.patch
* Mon Dec  2 2019 pgajdos@suse.com
- call spec-cleaner
* Mon Nov  4 2019 pgajdos@suse.com
- requires python (sqlite3) for test
* Wed Oct  9 2019 pgajdos@suse.com
- turn on test suite
- added patches
  fix 'django.contrib.messages.context_processors.messages' must be enabled in DjangoTemplates (TEMPLATES) in order to use the admin application.
  + python-django-gravatar2-fix-testsuite.patch
  skip test which wants to read from https://secure.gravatar.com/avatar/
  + python-django-gravatar2-skip-online-test.patch
* Wed Oct  2 2019 pgajdos@suse.com
- initial version 1.4.2, required by python-HyperKitty [SLE-7686]
